org.eclipse.ease.ui.preferences

## Class ScriptingPage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.preference.PreferencePage
    - - org.eclipse.ease.ui.preferences.ScriptingPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IPreferencePage, IWorkbenchPreferencePage

    public class ScriptingPage
    extends PreferencePage
    implements IWorkbenchPreferencePage

### Field Summary

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
Constructor and Description
`ScriptingPage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `init(IWorkbench workbench)`
`boolean` `performOk()`

### Methods inherited from class org.eclipse.jface.preference.PreferencePage

`applyData, computeSize, createControl, getContainer, getPreferenceStore, isValid, okToLeave, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getMessageType, getShell, getTitle, setDescription, setImageDescriptor, setMessage, setVisible`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.preference.IPreferencePage

`computeSize, isValid, okToLeave, performCancel, setContainer, setSize`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

### Constructor Detail

#### ScriptingPage

    public ScriptingPage()

### Method Detail

#### init

    public void init(IWorkbench workbench)

Specified by:
  `init` in interface `IWorkbenchPreferencePage`

#### performOk

    public boolean performOk()

Specified by:
  `performOk` in interface `IPreferencePage`
Overrides:
  `performOk` in class `PreferencePage`